<?php
require_once 'Mage/Adminhtml/controllers/Sales/OrderController.php';

class Quivers_Integration_Adminhtml_Sales_OrderController extends Mage_Adminhtml_Sales_OrderController {

    public function unholdAction() {
    	if ($order = $this->_initOrder()) {
            try {
            	$order->validate_order_status_for_unhold();
                $order->unhold()
                    ->save();
                $this->_getSession()->addSuccess(
                    $this->__('The order has been released from holding status.')
                );
            }
            catch (Mage_Core_Exception $e) {
                $this->_getSession()->addError($e->getMessage());
            }
            catch (Exception $e) {
                $this->_getSession()->addError($this->__('The order was not unheld.'));
            }
            $this->_redirect('*/sales_order/view', array('order_id' => $order->getId()));
        }
    }

    public function massUnholdAction()
    {
        $orderIds = $this->getRequest()->getPost('order_ids', array());
        $countUnholdOrder = 0;
        $countNonUnholdOrder = 0;

        foreach ($orderIds as $orderId) {
            $order = Mage::getModel('sales/order')->load($orderId);
            if ($order->canUnhold()) {
            	try {
            		$order->validate_order_status_for_unhold();
	                $order->unhold()
	                    ->save();
                }
                catch (Mage_Core_Exception $e) {
                    $this->_getSession()->addError($e->getMessage());
                    $countNonUnholdOrder++;
                    continue;
                }
                
                $countUnholdOrder++;
            } else {
                $countNonUnholdOrder++;
            }
        }

        if ($countNonUnholdOrder) {
            if ($countUnholdOrder) {
                $this->_getSession()->addError($this->__('%s order(s) were not released from holding status.', $countNonUnholdOrder));
            } else {
                $this->_getSession()->addError($this->__('No order(s) were released from holding status.'));
            }
        }
        if ($countUnholdOrder) {
            $this->_getSession()->addSuccess($this->__('%s order(s) have been released from holding status.', $countUnholdOrder));
        }
        $this->_redirect('*/*/');
    }


}